TX2上安装QT5

  • 0 replies
  • 297 views
*

sisiy

  • *****
  • 180
    • 查看个人资料
TX2上安装QT5
« 于: 六月 25, 2019, 05:14:59 pm »
I tried to build qt5 last year on my TX2. The steps should be similar. Please note that this is not cross compile case.
For cross compile, I think you could refer to qt official website.
https://doc.qt.io/QtForDeviceCreation/qtee-preparing-hardware-jetsontx1.html

程序代码: [选择]
Download the backend from public source
wget http://master.qt.io/archive/qt/5.9/5.9.2/single/qt-everywhere-opensource-src-5.9.2.tar.xz

#Some users suggest to install below libraries before configure.
 https://wiki.qt.io/Building_Qt_5_from_Git
 untar qt tarbell
tar -xpf qt-everywhere-opensource-src-5.9.2.tar.xz
cd qt-everywhere-opensource-src-5.9.2
./configure
Choose "o" when the prompt asks which version of Qt you want to install.
Check if EGL and EGLFS is enabled
EGL .................................... yes
OpenVG ................................. no

QPA backends:
DirectFB ............................... no
EGLFS .................................. yes
EGLFS details:
EGLFS i.Mx6 .......................... no
EGLFS i.Mx6 Wayland .................. no
EGLFS EGLDevice ...................... yes
EGLFS GBM ............................ no
EGLFS Mali ........................... no
EGLFS Raspberry Pi ................... no
EGL on X11 ........................... yes

 make -j4
sudo make install
#  Download a sample and build
https://github.com/alpqr/quickmwtest
#If you don't configure the installation path, you need to create a link.
sudo ln -sf /usr/local/Qt-5.9.2/bin/qmake /usr/lib/aarch64-linux-gnu/qt5/bin/qmake
# Use "qmake" under sample folder and then "make"
# If you hit qmake error  →     export QT_SELECT=qt5

#Before running the sample
sudo service lightdm stop (because we are demo DRM usecase)
unset DISPLAY
export QT_QPA_PLATFORM=eglfs
export QT_QPA_EGLFS_INTEGRATION=eglfs_kms_egldevice
./quickmwtest